# Generated from redshop-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redshop

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Fast mountable shop on Redis + RoR + Angular
License: MIT
URL: https://github.com/Frylock13/Redshop
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(faker)
# BuildRequires: rubygem(paperclip)
# BuildRequires: rubygem(sass-rails) >= 5.0
# BuildRequires: rubygem(sass-rails) < 6
# BuildRequires: rubygem(haml-rails) >= 0.9
# BuildRequires: rubygem(haml-rails) < 1
# BuildRequires: rubygem(sprockets-rails)
# BuildRequires: rubygem(redis-rails)
# BuildRequires: rubygem(redis-namespace)
# BuildRequires: rubygem(jquery-rails)
# BuildRequires: rubygem(angularjs-rails)
# BuildRequires: rubygem(lodash-rails)
BuildArch: noarch

%description
This gem can help you to implement a fast shopping system in your application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.1-1
- Initial package
